# ErrorNotifiable.Util (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.common
Class ErrorNotifiable.Util

    java.lang.Object
      net.schmizz.sshj.common.ErrorNotifiable.Util

Enclosing interface:
  ErrorNotifiable

    public static class ErrorNotifiable.Util

extends Object

Utility functions.

Constructor Summary
`ErrorNotifiable.Util()`

Method Summary
`static void` `alertAll(SSHException error, Collection<? extends ErrorNotifiable> notifiables)` Notify all `notifiables` of given `error`.
`static void` `alertAll(SSHException error, ErrorNotifiable... notifiables)` Notify all `notifiables` of given `error`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorNotifiable.Util

    public ErrorNotifiable.Util()

Method Detail

### alertAll

    public static void alertAll(SSHException error,
                                ErrorNotifiable... notifiables)

  Notify all `notifiables` of given `error`.

### alertAll

    public static void alertAll(SSHException error,
                                Collection<? extends ErrorNotifiable> notifiables)

  Notify all `notifiables` of given `error`.

Copyright © 2009-2011. All Rights Reserved.